------------------------------------------------------------------------------------
--Name:  	juqing2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-18
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(208, 180)
local Player_1 = CppScriptMgr:AddSimplePlayer(1051260, 208, 180, "CaptainTurkey", 0, 0)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:AddSimplePlayer(1055810, 190, 186, "Wennie", 0, 0)
local Player_3 = CppScriptMgr:AddSimplePlayer(1055850, 206, 200, "Austin", 0, 0)
local Player_4 = CppScriptMgr:AddSimplePlayer(1055860, 210, 204, "Caleb", 0, 0)
local Player_5 = CppScriptMgr:AddSimplePlayer(1055880, 230, 186, "Joel", 0, 0)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("All turkeys! Gather!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:RunTo(202, 186)
Player_3:RunTo(206, 186)
Player_4:RunTo(210, 186)
Player_5:RunTo(213, 186)
CppScriptMgr:WaitMilSec(3340)
Player_4:SetDir(4)
Player_3:SetDir(4)
Player_2:SetDir(4)
CppScriptMgr:WaitMilSec(130)
Player_1:Say("Count off!", 1500)
CppScriptMgr:WaitMilSec(690)
Player_5:SetDir(4)
CppScriptMgr:WaitMilSec(810)
Player_2:Say("1!", 1000)
Player_2:AddEffect("Common_Casting", 33)
Player_3:AddEffect("Common_Casting", 33)
Player_4:AddEffect("Common_Casting", 33)
Player_5:AddEffect("Common_Casting", 33)
CppScriptMgr:WaitMilSec(990)
Player_3:Say("2!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_4:Say("3!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_5:Say("4!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Well done! Train hard!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("Yes!", 1000)
Player_4:Say("Yes!", 1000)
Player_5:Say("Yes!", 1000)
CppScriptMgr:WaitMilSec(1000)